<?php
/*
	[UCenter Home] (C) 2007-2008 Comsenz Inc.
	$Id: login_register.php 10954 2009-01-12 05:26:27Z liguode $
*/

include_once('../common.php');

//是否关闭站点
checkclose();

//是否公开
if(empty($_SCONFIG['networkpublic'])) {
	checklogin();
}
global $_SGLOBAL;
$_SGLOBAL['inajax'] = 2;
//数据处理
if($_SCONFIG['closeregister']) {
	$uid = empty($_GET['uid'])?0:intval($_GET['uid']);
	$invite = empty($_GET['invite'])?'':$_GET['invite'];
	if($uid && $invite) {
		include_once(S_ROOT.'./source/function_cp.php');
		$invitearr = invite_get($uid, $invite);
	}
	if(empty($invitearr)) {
			include_once template("site_login_register_close");
	}
}
else
{
	//数据处理
	include_once(S_ROOT."./source/site_login_register.php");

	include_once template("site_login_register");
}
?>